/**
 * (c) Siemens AG 2009.
 * Licensed under EUPL 1.1
 * 
 * $Id$
 */
package com.sag.osami.context.producer;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.service.log.LogService;

import com.sag.osami.api.context.IContextHandler;

/**
 * The Class ContextProducerService.
 */
public class ContextProducerService implements BundleActivator {

	protected LogService log;
	private int maxThreads = 10;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(final BundleContext context) throws Exception {

		log = (LogService) context.getService(context.getServiceReference(LogService.class.getName()));

		log.log(LogService.LOG_DEBUG, "Service started");
		// System.out.println("[OSAMI Context Producer] Service started");
		for (int i = 0; i <= maxThreads; i++) {
			final int x = i;
			new Thread(new Runnable() {
				public void run() {
					context.registerService(IContextHandler.class.getName(), new ContextProducerImpl(x * 10, "Temp", log), null);
				};
			}).start();
		}

		log.log(LogService.LOG_DEBUG, "Service registered");
		// System.out.println("[OSAMI Context Producer] Service registered");

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext arg0) throws Exception {
	}

}
